Subject: Re: [AAA-DOCTORS] RFC3575, "IANA Considerations for RADIUS (Remote Authentication Dial In User Service)"

From: Bernard Aboba <[email-masked]>
Date: Wed, 12 Dec 2012 23:21:53 -0800

Yes.

Benoit Claise <[email-masked]> wrote:

Bernard, All,

Like you, I want to close this errata, but I need a confirmation:
Do you confirm that IANA needs to be changed the following way?

http://www.iana.org/assignments/radius-types/radius-types.xml#radius-types-14

OLD
Registration Procedures
     IETF Consensus
Reference
     [RFC2868]

NEW
Registration Procedures
     Designated Expert
Reference
     [RFC3575]

http://www.iana.org/assignments/radius-types/radius-types.xml#radius-types-15

OLD
Registration Procedures
     IETF Consensus
Reference
     [RFC2868]

NEW
Registration Procedures
     Designated Expert
Reference
     [RFC3575]

Do I miss anything?

Regards, Benoit
>> On 12/04/2012 06:34 PM, Benoit Claise wrote:
>>
>>> Glen,
>> >>
>> >>>
>> >>> So the plan of action is: 1. update the errata with the
>> >>> background information. 2. double-check the proposed resolution
>> >>> with the AAA doctors. This email thread. Glen, does this
>> >>> background information change your point of view?
>> >>
>> >> Not at all; in fact, it supports my assertion. The quote from RFC
>> >> 3575 above says that "Certain attributes (for example,
>> >> NAS-Port-Type) in RADIUS define a list of values to correspond with
>> >> various meanings. There can be 4 billion (2^32) values for each
>> >> attribute." However, both the Tunnel-Type and Tunnel-Medium-Type
>> >> Attributes are 3 octets in length, giving a range of 2^24 values
>> >> for each. If you want to update 3575 so that it applies, that's
>> >> fine, but right now it doesn't. Furthermore, the IANA allocation
>> >> policy specified in RFC 2868 was chosen carefully, after
>> >> considerable deliberation, to dissuade people from populating the
>> >> table with "flavor of the month" values; loosening the policy seems
>> >> purposeless at best. Do we really have nothing better to do?
>> > The discussion, as I understand it, is about "IETF consensus" versus
>> > "Designated Expert" From RFC 2868
>>
>> Oh, I see!  Silly me, I had thought that the discussion was about
>> whether there had been an oversight or, you know, an actual /error/
>> made in RFC 3575 that would make an erratum necessary.  I made the
>> case that this was not correct, because 3575 and 2868 are talking
>> about different RADIUS data types (at least according to RFC 6158).
>> However, if the discussion is about "IETF Consensus" versus
>> "Designated Expert" then I can't imagine that anyone on the planet
>> actually cares -- certainly not I.
>>
>> ...
>>
>>
>
> _______________________________________________
> AAA-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aaa-doctors
>
>